Package: org.codehaus.groovy.ast.stmt

## [Java] Class ExpressionStatement

- org.codehaus.groovy.ast.stmt.ExpressionStatement

- A simple statement such as a method call where the return value is ignored

  Authors:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ExpressionStatement (Expression expression)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Expression` | `getExpression()`
    `` | `String` | `getText()`
    `` | `void` | `setExpression(Expression expression)`
    `` | `String` | `toString()`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ExpressionStatement(Expression expression)

  - ### Method Detail

    - #### public Expression getExpression()

    - #### public String getText()

    - #### public void setExpression(Expression expression)

    - #### public String toString()

    - #### public void visit(GroovyCodeVisitor visitor)